The Update Vendor request enables you to change any of the following properties for an existing vendor:
- Vendor address
- Vendor email
- Vendor first and last name
- Vendor business name
- Vendor phone
- Vendor URL
- Vendor principal
- Vendor agreement
- Vendor payout information (including frequency and delay)
Note: Modifying certain vendor properties may result in vendor payout suspension. Click here to learn more.
The previous
payout-infoobject used in this request has been deprecated and replaced with payout-configuration to support regional payout. You must update your requests per the structure detailed below.If you call this API with
payout-infoor if the merchant is not configured for regional payout, an error will be returned.
Important
It is suggested that you first retrieve the vendor and then modify the desired property.
To be eligible for payout, make sure all necessary vendor information has been submitted to BlueSnap. To see the payout requirements, click here.
Request Content
vendor container required, contains the following properties (see vendor):
| Property | Type | Required |
|---|---|---|
address | string | optional |
city | string | optional |
country | string | required |
email | string | required |
first-name | string | optional |
last-name | string | optional |
name | string | optional |
payout-configuration | container | optional; (see payout-configuration) |
phone | string | optional |
state | string | required if payout-info included and country = US or CA (See State and Province Codes). |
tax-id | string | optional |
vat-id | string | optional |
vendor-agreement | container | optional; (see vendor-agreement) |
vendor-principal | container | optional; (see vendor-principal) |
vendor-url | string | optional |
zip | string | optional |
Response Details
If successful, the response HTTP status code is 204 No Content
Examples
Request Example
curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<vendor xmlns="http://ws.plimus.com">
<email>vendor@bluesnap.com</email>
<name>Important Vendor</name>
<first-name>Joe</first-name>
<last-name>Smith</last-name>
<address>123 Main Street</address>
<city>testing city</city>
<zip>4640802</zip>
<country>us</country>
<phone>0549766778</phone>
<state>MA</state>
<vendor-url>http://mycompany.com</vendor-url>
<ipn-url>https://merchant-domain.com/ipn</ipn-url>
<vendor-principal>
<first-name>Joe</first-name>
<last-name>Smith</last-name>
<address>123 Main Street</address>
<city>Juneau</city>
<zip>12345</zip>
<country>US</country>
<dob>28-09-9999</dob>
<personal-identification-number>1234</personal-identification-number>
<driver-license-number>561196411</driver-license-number>
<email>[email protected]</email>
</vendor-principal>
<payout-configuration>
<payout-frequency>MONTHLY</payout-frequency>
<review-delay>14</review-delay>
<default-legal-entity>US</default-legal-entity>
<regions>
<region>US</region>
<default-currency>USD</default-currency>
<currency-by-region>
<currency-code>USD</currency-code>
<status>Active</status>
<payout-payment-type>ACH</payout-payment-type>
<minimum-payment-amount>50</minimum-payment-amount>
<reserve>
<merchant-reserve>
<keep-on-merchant-reserve>200</keep-on-merchant-reserve>
</merchant-reserve>
</reserve>
<bank-details>
<country>US</country>
<state>MA</state>
<city>Juneau</city>
<address-1>1 bank address</address-1>
<zip-code>12345</zip-code>
<payment-reference>Payment for vendor 1234</payment-reference>
<bic>EXBN01</bic>
<bank-name>Leumi</bank-name>
<iban>ABC123456789DEF</iban>
<ach-account-class>PERSONAL</ach-account-class>
<ach-account-type>CHECKING</ach-account-type>
<name-on-account>vendor</name-on-account>
<status>Pending</status>
</bank-details>
</currency-by-region>
</regions>
</payout-configuration>
<vendor-agreement>
<commission-percent>20</commission-percent>
<account-status>ACTIVE</account-status>
<recurring-commission>Y</recurring-commission>
</vendor-agreement>
</vendor>'curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<vendor xmlns="http://ws.plimus.com">
<email>vendor@bluesnap.com</email>
<name>Important Vendor</name>
<first-name>Joe</first-name>
<last-name>Smith</last-name>
<address>123 Main Street</address>
<city>testing city</city>
<zip>4640802</zip>
<country>us</country>
<phone>0549766778</phone>
<state>MA</state>
<ipn-url>https://merchant-domain.com/ipn</ipn-url>
<vendor-principal>
<first-name>Joe</first-name>
<last-name>Smith</last-name>
<address>123 Main Street</address>
<city>Juneau</city>
<zip>12345</zip>
<country>US</country>
<dob>28-09-9999</dob>
<personal-identification-number>1234</personal-identification-number>
<driver-license-number>561196411</driver-license-number>
<email>[email protected]</email>
</vendor-principal>
<payout-configuration>
<payout-frequency>MONTHLY</payout-frequency>
<review-delay>14</review-delay>
<default-legal-entity>US</default-legal-entity>
<regions>
<region>US</region>
<default-currency>USD</default-currency>
<currency-by-region>
<currency-code>USD</currency-code>
<status>Active</status>
<payout-payment-type>ACH</payout-payment-type>
<minimum-payment-amount>50</minimum-payment-amount>
<reserve>
<merchant-reserve>
<keep-on-merchant-reserve>200</keep-on-merchant-reserve>
</merchant-reserve>
</reserve>
<bank-details>
<country>US</country>
<state>MA</state>
<city>Juneau</city>
<address-1>1 bank address</address-1>
<zip-code>12345</zip-code>
<payment-reference>Payment for vendor 1234</payment-reference>
<bic>EXBN01</bic>
<bank-name>Leumi</bank-name>
<iban>ABC123456789DEF</iban>
<ach-account-class>PERSONAL</ach-account-class>
<ach-account-type>CHECKING</ach-account-type>
<name-on-account>vendor</name-on-account>
<status>Pending</status>
</bank-details>
</currency-by-region>
</regions>
</payout-configuration>
<vendor-agreement>
<commission-percent>20</commission-percent>
<account-status>INACTIVE</account-status>
<recurring-commission>Y</recurring-commission>
</vendor-agreement>
</vendor>'Response Example
HTTP/ 1.1 204 No Content